#!/bin/sh

name="kadu"
title="Kadu"
package="kadu"
version="0.3.4_rc1"
build="1"
noarch="n"
build_info="Standard build."

info="A Gadu-Gadu client for KDE."
desc="Kadu is a Gadu-Gadu client. In other words, it is an instant
messaging client for Linux (and other Unices with a little bit
of work). It is based on Qt3 and KDE 3. Wojtek Kaniewski's
libgadu is responsible for protocol implementation."
category="net/client/im"
environment="x11/qt"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="AUTHORS,COPYING,ChangeLog,FAQ,INSTALL,README,TODO"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source http://kadu.net/releases/$name-`echo $version | tr _ -`.tar.gz $name

apply_patch configure_libs

configure_option --prefix=/opt/kde
configure_option --with-existing-libgadu

install_option DESTDIR=$pkg_main

parent_package="$package"
write_info main

cd $src1

do_configure
do_make
do_install

make_docs

make_package main

clean_up

# $Log: kadu.builder,v $
# Revision 1.23  2003/06/20 15:15:02  swiergot
# - Build 1.
#
# Revision 1.22  2003/06/20 15:01:40  swiergot
# - Version 0.3.4-rc1.
#
# Revision 1.21  2003/05/26 11:27:24  swiergot
# - Build 1.
#
# Revision 1.20  2003/05/26 11:17:21  swiergot
# - Version 0.3.4-pre3.
#
# Revision 1.19  2003/05/10 17:45:02  stoodi
# - Version 0.3.4_pre2, build 1.
#
# Revision 1.18  2003/05/10 17:33:16  stoodi
# - Version pre2, build 0
#
# Revision 1.17  2003/05/05 21:39:07  swiergot
# - Build 1.
#
# Revision 1.16  2003/05/05 21:26:25  swiergot
# - Version 0.3.4-pre1.
#
# Revision 1.15  2003/04/04 22:07:46  swiergot
# - Build 1.
#
# Revision 1.14  2003/04/04 21:59:42  swiergot
# - Version 0.3.3.
#
# Revision 1.13  2003/03/22 11:29:50  swiergot
# - Build 1.
#
# Revision 1.12  2003/03/22 11:15:39  swiergot
# - Force building.
#
# Revision 1.11  2003/03/22 11:00:54  swiergot
# - Version 0.3.3-rc4.
#
# Revision 1.10  2003/03/14 22:36:10  swiergot
# - Build 1.
#
# Revision 1.9  2003/03/14 22:24:04  swiergot
# - Fixed source URL that has changed since rc2.
# - Build 0.
#
# Revision 1.8  2003/03/14 19:08:53  stoodi
# - version 3.3_rc3, build 1.
#
# Revision 1.7  2003/02/27 16:17:02  swiergot
# - Build 1.
#
# Revision 1.6  2003/02/26 21:22:28  swiergot
# - Removed forgotten apply_patch iostream and added apply_patch
#   configure_libs.
#
# Revision 1.5  2003/02/26 20:30:56  swiergot
# - Version 0.3.3-rc2 (rc5 in the previous log message was a mistake, should
#   have been rc1).
# - Removed iostream patch. Headers have been included correctly since rc2.
# - Added configure_libs patch to fix configure script where -lgadu without
#   -lpthread is used when checking OpenSSL stuff and that causes problems.
#
# Revision 1.4  2003/02/13 17:46:57  swiergot
# - Version 0.3.3-rc5.
# - Removed configure_option --disable-sms.
#
# Revision 1.3  2003/01/25 19:07:50  swiergot
# - Added a iostream patch to fix include directives.
#
# Revision 1.2  2003/01/24 16:36:29  swiergot
# - Changed prefix from /usr to /opt/kde.
#
# Revision 1.1  2003/01/24 16:09:57  swiergot
# - Initial release
# - Version 0.3.3-pre4.
#
